> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Wire

> Retrieve a wire object.



## OpenAPI

````yaml GET /v2/wires/{wire_id}
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v2/wires/{wire_id}:
    get:
      tags:
        - Wire
      summary: Retrieve a wire V2
      description: Retrieve a wire object.
      operationId: retrieve-a-wire-v2
      parameters:
        - name: wire_id
          description: ID of the wire object you want to retrieve.
          example: wire_xyz001
          in: path
          required: true
          schema:
            type: string
            pattern: ^wire_\w+$
      responses:
        '200':
          description: A wire object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WireV2'
        '403':
          description: You do not have permission to access this wire.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: wire_id passed in is not a valid external wire object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    WireV2:
      type: object
      description: A wire object.
      properties:
        id:
          type: string
          description: Unique identifier of the wire object.
          example: wire_xyz123
          pattern: ^wire_\w+$
        account_number_id:
          $ref: '#/components/schemas/AccountNumberID'
        core_transaction_ids:
          type: array
          description: Linked core transaction ID(s) associated with the wire.
          items:
            type: string
            example: core_transaction_xyz123
        created_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 format timestamp representing when the wire object was
            created.
          example: '2024-06-27T11:22:33Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 format timestamp representing when the wire object was last
            updated.
          example: '2024-06-27T11:22:33Z'
        settlement_date:
          type: string
          format: date
          description: >-
            The ISO-8601 datestamp indicating the wire settlement date based on
            Fedwire's business day definition.
          example: '2024-06-27'
        direction:
          $ref: '#/components/schemas/WireDirectionV2'
        type:
          type: string
          description: Indicates the type of wire message that the object represents.
          example: transfer
          enum:
            - transfer
            - return
        corridor_type:
          $ref: '#/components/schemas/CorridorTypeV2'
        status:
          $ref: '#/components/schemas/WireStatusV2'
        amounts:
          $ref: '#/components/schemas/WireAmountsV2'
        debtor:
          $ref: '#/components/schemas/WirePartyV2'
          description: Details of the debtor sending funds.
        debtor_agent:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Details of the financial institution where the debtor holds their
            account. This object may be absent if the instructing agent does not
            provide this information.
        instructing_agent:
          $ref: '#/components/schemas/WireInstructAgentV2'
          description: >-
            The financial institution that transmitted the payment through
            Fedwire. In some cases, this may differ from the bank where the
            account is held. This object will always be populated.
        instructed_agent:
          $ref: '#/components/schemas/WireInstructAgentV2'
          description: >-
            The financial institution that received the payment through Fedwire.
            This may not always be the bank where the recipient's account is
            held. This object will always be populated.
        creditor_agent:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Details of the financial institution where the creditor holds their
            account. This object may be absent if the instructing agent does not
            provide this information.
        creditor:
          $ref: '#/components/schemas/WirePartyV2'
          description: Details of the creditor receiving funds.
        initiating_party:
          $ref: '#/components/schemas/WirePartyV2'
          description: >-
            Details of the party that initiates the payment on behalf of the
            debtor. For outgoing wires, automatically populated with your
            organization's name. For incoming wires, populated from the ISO
            initiating party when provided by the sending institution.
        ultimate_debtor:
          $ref: '#/components/schemas/WirePartyV2'
          description: >-
            The ultimate party on whose behalf the payment is made, if different
            from the debtor.
        ultimate_creditor:
          $ref: '#/components/schemas/WirePartyV2'
          description: >-
            The ultimate party to which the payment is intended, if different
            from the creditor.
        other_agents:
          $ref: '#/components/schemas/WireOtherAgentsV2'
        payment_identifiers:
          $ref: '#/components/schemas/WirePaymentIdentifiersV2'
        remittance_details:
          $ref: '#/components/schemas/WireRemittanceDetailsV2'
        charges:
          $ref: '#/components/schemas/WireChargesV2'
          description: >-
            Information about any charges assessed during wire transfer
            processing.
        related_wires:
          $ref: '#/components/schemas/RelatedWiresV2'
        return_requests:
          type: array
          description: >-
            Return requests associated with the wire, sorted oldest first. Empty
            when no return requests exist.
          items:
            $ref: '#/components/schemas/WireReturnRequestV2'
        return:
          $ref: '#/components/schemas/WireReturnV2'
        rejection:
          $ref: '#/components/schemas/WireRejectionReasonV2'
        metadata:
          $ref: '#/components/schemas/Metadata'
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    AccountNumberID:
      type: string
      description: The ID of the Lead Bank Account Number object.
      example: account_number_xyz123
      pattern: ^account_number_\w+$
    WireDirectionV2:
      type: string
      description: |-
        Who is initiating the transaction.

        outgoing: You are sending a wire transaction to a counterparty.
        incoming: You are receiving an wire transaction from a counterparty.
      example: incoming
      enum:
        - outgoing
        - incoming
    CorridorTypeV2:
      type: string
      description: Indicates whether the wire is domestic or international.
      example: domestic
      enum:
        - domestic
        - international
    WireStatusV2:
      description: >-
        The current status of the wire object.


        Note: `scheduled`, `processing`, and `cancel_pending` are legacy values
        carried over from V1 and will be deprecated in 2027.
      type: string
      example: created
      enum:
        - created
        - scheduled
        - processing
        - posted
        - under_review
        - rejected
        - canceled
        - cancel_pending
    WireAmountsV2:
      type: object
      properties:
        settlement_amount:
          $ref: '#/components/schemas/WireAmount'
          description: >-
            Amount of money that moved across the Fedwire network from the
            instructing agent to the instructed agent.
        settlement_currency_code:
          $ref: '#/components/schemas/CurrencyCode'
          description: The currency code of the settlement amount.
        instructed_amount:
          $ref: '#/components/schemas/WireAmount'
          description: >-
            Amount of money to be moved between the debtor and creditor, before
            deduction of charges, expressed in the currency as ordered by the
            initiating party.
        instructed_currency_code:
          type: string
          description: >-
            The currency code of the instructed amount. A three-letter currency
            code as defined in ISO 4217.
        instructed_to_settlement_exchange_rate:
          description: >-
            Factor used to convert an amount from the instructed currency to the
            settlement currency.
          type: string
          example: 1
    WirePartyV2:
      type: object
      description: Wire party information.
      properties:
        name:
          type: string
          description: Name of the party.
          example: Alan Scott
        account_identifier:
          $ref: '#/components/schemas/WirePartyAccountIdentifierV2'
        address:
          $ref: '#/components/schemas/WirePostalAddressV2'
          description: Address of the party.
    WireAgentV2:
      type: object
      description: Wire agent information.
      properties:
        business_identifier_code:
          type: string
          description: Business Identifier Code (BIC) of the financial institution.
          example: BOFAUS3NXXX
        name:
          type: string
          description: Name of the financial institution.
          example: Bank of America
        local_routing_identifier:
          $ref: '#/components/schemas/LocalRoutingIdentifierV2'
        address:
          $ref: '#/components/schemas/WirePostalAddressV2'
          description: Address of the financial institution.
    WireInstructAgentV2:
      type: object
      description: Wire instruct agent information.
      properties:
        name:
          type: string
          description: Name of the financial institution.
          example: Bank of America
        business_identifier_code:
          type: string
          description: Business Identifier Code (BIC) of the financial institution.
          minLength: 8
          maxLength: 11
          pattern: ^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$
          example: CHASUS33
        local_routing_identifier:
          $ref: '#/components/schemas/LocalRoutingIdentifierV2'
    WireOtherAgentsV2:
      description: Details of any other agents involved in the wire transfer.
      type: object
      properties:
        previous_instructing_agent_one:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Financial institution sitting in the payment chain between the
            Debtor Agent and the Instructing Agent.
        previous_instructing_agent_two:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Financial institution sitting in the payment chain between the
            Debtor Agent and the Instructing Agent.
        previous_instructing_agent_three:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Financial institution sitting in the payment chain between the
            Debtor Agent and the Instructing Agent.
        intermediary_agent_one:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Financial institution sitting in the payment chain between the
            Creditor Agent and the Instructed Agent.
        intermediary_agent_two:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Financial institution sitting in the payment chain between the
            Creditor Agent and the Instructed Agent.
        intermediary_agent_three:
          $ref: '#/components/schemas/WireAgentV2'
          description: >-
            Financial institution sitting in the payment chain between the
            Creditor Agent and the Instructed Agent.
    WirePaymentIdentifiersV2:
      type: object
      description: Wire payment identifiers.
      properties:
        message_identification:
          type: string
          readOnly: true
          description: >-
            Point to point reference, as assigned by the instructing party, and
            sent to the next party in the chain to unambiguously identify the
            message.
          example: 20241215MMQFMP2L017736
        end_to_end_identification:
          type: string
          description: >-
            Unique identification that the initiating party in a wire message
            can use to unambiguously identify the transaction. This is passed
            through, unchanged, throughout the entire wire chain.
          example: EndtoEnd12345
        uetr:
          type: string
          readOnly: true
          description: >-
            Universally unique identifier to provide an end-to-end reference of
            a payment transaction.
          format: uuid
          example: dae7d83c-1624-4a79-a8ef-3794de115c13
        instruction_identification:
          type: string
          readOnly: true
          description: >-
            Unique identification, as assigned by an instructing party for an
            instructed party, to unambiguously identify the instruction.
          example: Instruction12345
        return_identification:
          type: string
          readOnly: true
          description: >-
            Unique identification, as assigned by an instructing party for an
            instructed party, to unambiguously identify the returned
            transaction.
          example: ReturnInstruction12345
    WireRemittanceDetailsV2:
      type: object
      description: Wire remittance details.
      properties:
        payment_notification:
          type: string
          readOnly: true
          description: Information about the payment notification.
          example: ba77ae30-efb8-4139-8e51-37e3fd905b2b
        message_to_creditor:
          type: string
          description: Information intended specifically for the creditor.
          example: Payment for invoice 12345
        message_to_receiving_fi:
          type: string
          readOnly: true
          description: >-
            Information intended specifically for the receiving financial
            institution.
          example: message for receiving financial institution
        fi_to_fi_message:
          type: string
          readOnly: true
          description: >-
            Financial institution to financial institution information, most
            often used to explain additional detail of a wire.
          example: message from financial institution to financial institution
        transfer_purpose:
          $ref: '#/components/schemas/WireTransferPurposeV2'
    WireChargesV2:
      type: object
      description: Information about charges associated with the wire transfer.
      properties:
        charge_bearer:
          $ref: '#/components/schemas/WireChargeBearerV2'
          description: Specifies which party bears the charges for the wire transfer.
        breakdown:
          type: array
          description: Itemized list of charges assessed during wire transfer processing.
          items:
            $ref: '#/components/schemas/WireChargeInfoV2'
    RelatedWiresV2:
      type: object
      description: Related wire objects.
      properties:
        original_wire_id:
          type: string
          description: >-
            If this wire is a return wire (i.e., returning a wire previously
            received), this field provides the preceding wire's identifier
            (wire_id).
          example: wire_xyz001
        return_wire_ids:
          type: array
          description: >-
            If this wire has been returned by any following wires, you can find
            the returning wire id(s) here.
          items:
            type: string
            example: wire_xyz002
    WireReturnRequestV2:
      type: object
      description: A return request associated with the wire.
      required:
        - created_at
        - status
        - reason
      properties:
        status:
          $ref: '#/components/schemas/WireReturnRequestStatusV2'
        reason:
          $ref: '#/components/schemas/IncomingWireReturnRequestReasonV2'
        details:
          type: string
          description: >-
            Details of the reason for the return request, including the
            4-character ISO code when possible.
          example: 'ISO Code: CUST; Beneficiary has not received funds'
        deadline:
          type: string
          format: date-time
          description: >-
            The deadline by which a final response to the return request is
            expected. This is a Lead-only concept and is only populated for
            incoming return requests.

            For incoming return requests, you must respond by 11:30PM ET on the
            10th business day. If you do not respond, we will respond on your
            behalf with a rejection.

            For outgoing return requests, this field is not populated.
          example: '2024-07-08T23:30:00-04:00'
        resolution:
          $ref: '#/components/schemas/WireReturnRequestResolutionV2'
        created_at:
          type: string
          format: date-time
          description: >-
            The ISO 8601 format timestamp that represents when the return
            request object was created.
          example: '2024-06-27T11:22:33Z'
    WireReturnV2:
      type: object
      description: Return details associated with a returned wire.
      properties:
        reason:
          $ref: '#/components/schemas/WireReturnReasonEnumV2'
          description: >-
            If the wire is a return, this field indicates the reason for the
            return. When the return originates from a counterparty with an
            unmapped ISO code, this field is set to `other` and the raw ISO code
            is included in `additional_information` in the format "ISO Code:
            <code>; <details>".
        additional_information:
          type: string
          description: >-
            If the return reason is `narrative`, an accompanying free-form
            explanation is required and will appear here. When the reason is
            `other`, this is populated with the raw ISO code in the format "ISO
            Code: <code>; <details>". For other reasons, participants may
            optionally send additional information as well.
    WireRejectionReasonV2:
      type: object
      description: Rejection details associated with a rejected wire.
      properties:
        reason:
          $ref: '#/components/schemas/WireRejectionReasonEnumV2'
          description: >-
            If a wire is rejected, this field indicates the reason for the
            rejection.
        additional_information:
          type: string
          description: >-
            If the rejection reason is `narrative`, an accompanying free-form
            explanation is required and will appear here. For other reasons,
            participants may optionally send additional information as well.
        message_identification:
          type: string
          description: >-
            If Lead rejected an incoming wire on your behalf, this field
            contains the message identification of the return wire that we sent.
    Metadata:
      type: object
      additionalProperties:
        type: string
      description: >-
        A set of key-value pairs that can be used to store additional
        information related to this object.
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
    WireAmount:
      description: The amount of the wire transaction in cents.
      type: integer
      format: int64
      example: 5000
      minimum: 1
      maximum: 990000000000
    CurrencyCode:
      description: A three-letter currency code as defined in ISO 4217.
      type: string
      example: USD
      enum:
        - USD
    WirePartyAccountIdentifierV2:
      type: object
      description: >-
        Object representing the account that the party holds at its financial
        institution.
      properties:
        type:
          type: string
          description: The type of account identifier.
          example: other
          enum:
            - other
            - IBAN
        value:
          type: string
          description: >-
            The value of the account identifier where the wire is being sent.
            For U.S. domestic wires, this should always be the full account
            number.
          example: 1234567890
    WirePostalAddressV2:
      type: object
      description: Hybrid ISO 20022 postal address.
      properties:
        street_name:
          type: string
          description: Name of a street or thoroughfare.
          example: Main Street
        building_number:
          type: string
          description: Number that identifies the position of a building on a street.
          example: '100'
        building_name:
          type: string
          description: Name of the building or house.
          example: City Hall
        floor:
          type: string
          description: Floor or storey within a building.
          example: 4th Floor
        room:
          type: string
          description: Building room number.
          example: '600'
        post_code:
          type: string
          description: >-
            Identifier consisting of a group of letters and/or numbers added to
            a postal address to assist the sorting of mail.
          example: '12345'
        town_name:
          type: string
          description: >-
            Name of a built-up area, with defined boundaries, and a local
            government.
          example: Kansas City
        country_sub_division:
          type: string
          description: >-
            Identifies a subdivision of a country such as a state, region, or
            county.
          example: MO
        country:
          type: string
          description: >-
            ISO 3166-1 alpha-2 code representing a nation with its own
            government.
          example: US
          pattern: '[A-Z]{2,2}'
        line_one:
          type: string
          description: Line one of the address in unstructured format.
          example: 123 Main St
        line_two:
          type: string
          description: Line two of the address in unstructured format.
          example: Suite 100
        line_three:
          type: string
          description: Line three of the address in unstructured format.
          example: Kansas City, MO 64105
    LocalRoutingIdentifierV2:
      type: object
      description: >-
        Routing or transit code used by the financial institution's local
        clearing system. For domestic wires this is the US ABA routing number;
        for international wires it may be another local clearing code such as a
        sort code, IFSC, or BSB.
      properties:
        scheme:
          type: string
          description: >-
            The clearing-system scheme of the local routing identifier. `USABA`
            for all payments on the Fedwire rail.
          example: USABA
        value:
          type: string
          description: >-
            The value of the local routing identifier. For domestic wires, this
            is the 9-digit US ABA routing number. For international wires, this
            is the relevant local clearing code (e.g. sort code, IFSC, BSB).
          minLength: 1
          maxLength: 35
          example: '021000021'
    WireTransferPurposeV2:
      type: object
      description: The purpose or reason for which the wire is being sent.
      required:
        - type
      properties:
        type:
          description: Code representing the purpose of the transfer.
          type: string
          enum:
            - salary_payment
            - invoice_payment
            - gift
            - payment_for_goods
            - payment_for_services
            - insurance_premium_payment
            - interest_payment
            - loan
            - loan_repayment
            - account_management
            - cash_management_transfer
            - tax_payment
            - government_payment
            - benefits_payment
            - pension_payment
            - rent_payment
            - utilities_payment
            - education_payment
            - healthcare_payment
            - charitable_payment
            - refund
            - fee_payment
            - intercompany_transfer
            - investment_payment
            - fx_or_treasury
            - derivatives_payment
            - card_network_settlement
            - other
          example: invoice_payment
        other_details:
          type: string
          description: >-
            Free-formatted text describing the transfer purpose. Required when
            `type` is `other`.
          minLength: 3
          maxLength: 140
          pattern: >-
            ^[
            \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*[\w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]][
            \w/\-\?:\(\)\.,'\+!@#$%^&\*=`\{\|\}~";<>\[\\\]]*$
          example: Payment for consulting services
    WireChargeBearerV2:
      type: string
      description: >-
        Specifies which party bears the charges associated with the wire
        transfer.
      example: shared
      enum:
        - debtor
        - shared
        - creditor
    WireChargeInfoV2:
      type: object
      description: Details of a single charge assessed during wire transfer processing.
      required:
        - amount
        - currency_code
      properties:
        amount:
          type: string
          description: The amount of the charge.
          example: '12.50'
        currency_code:
          type: string
          description: ISO 4217 three-letter currency code for the charge.
          example: USD
        charging_agent:
          $ref: '#/components/schemas/WireAgentV2'
    WireReturnRequestStatusV2:
      type: string
      description: |-
        The current status of the return request object.
        For incoming return requests: response_needed, accepted, rejected.
        For outgoing return requests: pending, accepted, rejected.
      example: pending
      enum:
        - pending
        - response_needed
        - accepted
        - rejected
    IncomingWireReturnRequestReasonV2:
      type: string
      description: |-
        The reason for the return request.
        * `creditor_account_number_invalid` - Invalid creditor account number
        * `wrong_amount` - Wrong amount
        * `customer_requested` - Requested by customer
        * `duplication` - Duplicate payment
        * `fraud_suspected` - Fraud suspected
        * `narrative` - Narrative reason, additional_information required
        * `service_not_rendered` - Service not rendered
        * `technical_problem` - Technical problem
        * `undue_payment` - Unduly paid
        * `per_agent_request` - Requested by agent
        * `other` - Other
      example: duplication
      enum:
        - creditor_account_number_invalid
        - wrong_amount
        - customer_requested
        - duplication
        - fraud_suspected
        - narrative
        - service_not_rendered
        - technical_problem
        - undue_payment
        - per_agent_request
        - other
    WireReturnRequestResolutionV2:
      type: object
      description: The resolution details of the return request.
      required:
        - resolved_at
        - resolved_by
      properties:
        resolved_at:
          type: string
          format: date-time
          description: >-
            The ISO 8601 format timestamp that represents when the resolution
            occurred.
          example: '2024-06-27T11:22:33Z'
        resolved_by:
          type: string
          description: The party that resolved the return request.
          enum:
            - client
            - lead
            - counterparty
          example: counterparty
        rejection_reason:
          $ref: '#/components/schemas/IncomingWireReturnRequestRejectionReasonV2'
          description: If the return request was rejected, the reason for the rejection.
        rejection_details:
          type: string
          description: >-
            If the return request was rejected, details of the rejection reason
            including the 4-character ISO code when possible.
          example: 'ISO Code: CUST; Beneficiary has not received funds'
    WireReturnReasonEnumV2:
      type: string
      description: Reason for a wire return.
      example: honor_return_request
      enum:
        - account_number_incorrect
        - creditor_account_number_invalid
        - account_closed
        - account_blocked
        - debtor_account_type_invalid
        - agent_invalid
        - account_details_changed
        - account_sequestered
        - account_liquidated
        - transaction_forbidden
        - bank_operation_code_invalid
        - zero_amount
        - amount_too_high
        - currency_not_allowed
        - non_sufficient_funds
        - duplication
        - amount_too_low
        - amount_blocked
        - wrong_amount
        - control_sum_invalid
        - returned_previously
        - creditor_name_mismatch
        - creditor_address_incorrect
        - initiating_party_unrecognized
        - unknown_customer
        - debtor_address_invalid
        - bank_error
        - authorization_canceled
        - creditor_bank_not_registered
        - currency_incorrect
        - customer_requested
        - debtor_bank_not_registered
        - return_for_technical_reason
        - settlement_date_invalid
        - correspondent_bank_unattainable
        - balance_information_requested
        - settlement_failed
        - emv_liability_shifted
        - eri_option_unsupported
        - local_instrument_code_invalid
        - honor_return_request
        - fraud_suspected
        - final_response_mandate_canceled
        - no_mandate
        - missing_mandate_information
        - end_customer_requested
        - end_customer_deceased
        - creditor_request
        - per_agent_request
        - narrative
        - customer_no_response
        - non_compliant
        - transaction_not_found
        - pin_liability_shifted
        - routing_number_format_incorrect
        - creditor_bic_incorrect
        - transaction_reference_not_unique
        - missing_debtor_account_number
        - missing_debtor_data
        - missing_creditor_data
        - regulatory_reason
        - returned_unable_to_apply
        - debtor_agent_specific_service
        - creditor_agent_specific_service
        - creditor_not_whitelisted_by_debtor
        - creditor_blacklisted_by_debtor
        - direct_debit_count_exceeded
        - direct_debit_limit_exceeded
        - payment_stopped
        - payment_stopped_previously
        - service_not_rendered
        - untimely_transaction
        - removed_from_tracking
        - undue_payment
        - other
    WireRejectionReasonEnumV2:
      type: string
      description: Reason for a wire rejection.
      example: honor_return_request
      enum:
        - account_blocked
        - account_closed
        - amount_blocked
        - creditor_account_number_invalid
        - creditor_address_incorrect
        - creditor_name_mismatch
        - creditor_request
        - debtor_address_invalid
        - honor_return_request
        - narrative
        - per_agent_request
        - non_sufficient_funds
        - regulatory_reason
        - routing_number_format_incorrect
        - aggregate_limit_exceeded
    IncomingWireReturnRequestRejectionReasonV2:
      type: string
      description: |-
        The reason for a rejected return request.
        * `account_closed` - Account closed
        * `non_sufficient_funds` - Insufficient funds
        * `customer_requested` - Customer decision
        * `legal_decision` - Legal decision
        * `customer_no_response` - No answer from customer
        * `returned_previously` - Already returned
        * `narrative` - Narrative reason, additional_information required
        * `per_agent_request` - Agent decision
        * `other` - Other
      example: customer_no_response
      enum:
        - account_closed
        - non_sufficient_funds
        - customer_requested
        - legal_decision
        - customer_no_response
        - returned_previously
        - narrative
        - per_agent_request
        - other
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````